Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class UTCTime.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.TimeBase.Template
            |
            +--org.mozilla.jss.asn1.UTCTime.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  UTCTime

public static class UTCTime.Template
extends TimeBase.Template
implements ASN1Template

Constructor Summary
`UTCTime.Template()`

Method Summary
`protected TimeBase` | `generateInstance(java.util.Date date)`
`protected Tag` | `getTag()`
`protected boolean` | `isUTC()`
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Methods inherited from class org.mozilla.jss.asn1.TimeBase.Template
`checkBounds, checkRange, decode, decode`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Template
`decode, decode`

Constructor Detail

### UTCTime.Template

    public UTCTime.Template()

Method Detail

### getTag

    protected Tag getTag()

  Overrides:
    `getTag` in class `TimeBase.Template`

### tagMatch

    public boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.
  Specified by:
    `tagMatch` in interface `ASN1Template`
  Overrides:
    `tagMatch` in class `TimeBase.Template`

### isUTC

    protected boolean isUTC()

  Overrides:
    `isUTC` in class `TimeBase.Template`

### generateInstance

    protected TimeBase generateInstance(java.util.Date date)

  Overrides:
    `generateInstance` in class `TimeBase.Template`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD